Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.amp.amf.gen.ext
Class KeyModelBuilder

    java.lang.Object
      IncrementalProjectBuilder
          org.eclipse.amp.amf.gen.ide.AbstractMWEBuilder
              org.eclipse.amp.amf.gen.ide.MetaABMBuilder
                  org.eclipse.amp.amf.gen.ext.KeyModelBuilder

    public class KeyModelBuilder

extends MetaABMBuilder

Field Summary
`static java.lang.String` | `KEY_BUILDER_ID`
`private static MetaABMBuilder` | `keyBuilder`

Fields inherited from class org.eclipse.amp.amf.gen.ide.MetaABMBuilder
`BUILDER_ID`

Fields inherited from class org.eclipse.amp.amf.gen.ide.AbstractMWEBuilder
`builder, currentMonitor, workflowPath`

Constructor Summary
`KeyModelBuilder()`

Method Summary
`static MetaABMBuilder` | `getKeyBuilderDefault()` Returns the shared instance

Methods inherited from class org.eclipse.amp.amf.gen.ide.MetaABMBuilder
`getBaseBuilderDefault, isCreateMarkers, loadPlugins, loadPropertiesFromPrefs, loadPropertiesFromResource, setCreateMarkers`

Methods inherited from class org.eclipse.amp.amf.gen.ide.AbstractMWEBuilder
`addURL, build, fullBuild, generateModel, getGenProperties, getResourceLoader, getWorkflowPath, handleModifiedResource, incrementalBuild, isReportErrors, setCurrentMonitor, setGenProperties, setReportErrors, setWorkflowPath`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### KEY_BUILDER_ID

    public static final java.lang.String KEY_BUILDER_ID

See Also:
  Constant Field Values

### keyBuilder

    private static MetaABMBuilder keyBuilder

Constructor Detail

### KeyModelBuilder

    public KeyModelBuilder()

Method Detail

### getKeyBuilderDefault

    public static MetaABMBuilder getKeyBuilderDefault()

  Returns the shared instance

  Returns:
    the shared instance

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright (C) 2007-2009 Metascape, LLC, 2009 Miles Parker, 2006-2007 Argonne National Labs, and Contributors